#
# spec file for package WindowMaker-applets
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           WindowMaker-applets
BuildRequires:  WindowMaker-devel
BuildRequires:  automake
BuildRequires:  curl-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  imake
BuildRequires:  pkgconfig(gdk-x11-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gtk+-x11-2.0)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(xxf86dga)
BuildRequires:  pkgconfig(xxf86vm)

%if 0%{?suse_version} >= 1210
BuildRequires:  libv4l-devel >= 0.8.4
%endif
%if 0%{?suse_version} >= 1220
BuildRequires:  xmessage
%endif
Obsoletes:      wmapps
Obsoletes:      wmweath
Provides:       wmapps
Provides:       wmweath
Version:        1.0.1
Release:        lp150.2.8
Summary:        Window Maker Applets
#
License:        GPL-2.0+
Group:          System/GUI/Other
%define wmcdplay_version	1.0-beta1
#http://www.geocities.com/SiliconValley/Vista/2471/wmcdplay.html
#
%define wmload_version		0.9.2
#
#
%define wmnet_version		1.06
#http://www.digitalkaos.net/linux/wmnet/
#
%define wmtune_version		1.1c
#http://soren.org/linux/wmtune/
#
%define WMMail_version 	0.64
#http://www.eecg.toronto.edu/cgi-bin/cgiwrap/chanb/index.cgi?wmmail
#http://vbeaud.free.fr/tools/patchs_en.html
#
%define wmmount_version 	1.0-beta2
#http://www.geocities.com/SiliconValley/Vista/2471/wmmount.html
#
%define wmmixer_version 	1.0-beta1
#http://www.geocities.com/SiliconValley/Vista/2471/wmmixer.html
#
%define wmtimer_version 	2.92
#http://www.darkops.net/wmtimer/
#
%define wmtime_version 		1.0b2
%define wmppp_version 		1.3.0
%define wmpalm_version 		0.11b
%define wmmp3_version 		0.12
#http://www.dotfiles.com/software/wmmp3/
#
%define wmmon_version 		1.0b2
%define wmint_version 		0.8
%define wminet_version 		2.0.3
#http://www.neotokyo.org/illusion/
#
%define wmifs_version 		1.3b1
%define wmgmon_version 		0.4.0
#http://www.logilab.org/wmgmon/
#
%define wmfire_version 		0.0.3.9pre4
#http://staff.xmms.org/zinx/misc/
#
%define wmcube_version 		0.98
#http://boombox.campus.luth.se/projects.html
#
%define wmbutton_version 	0.4
#http://members.access1.net/ehflora/
#
%define wmMatrix_version 	0.2
#http://nis-www.lanl.gov/~mgh/WindowMaker/DockApps.shtml
#
%define wmMand_version 		1.0
#http://nis-www.lanl.gov/~mgh/WindowMaker/DockApps.shtml
#
%define wmCalClock_version 	1.25
#http://nis-www.lanl.gov/~mgh/WindowMaker/DockApps.shtml
#
%define wmWeather_version 	2.4.3
#http://www.godisch.de/debian/wmweather/
#
%define WMAmpMenu_version 	0.27
%define wmswallow_version	0.6.1
%define wmtop_version 		0.83
%define wmGrabImage_version 	0.70
#http://nis-www.lanl.gov/~mgh/WindowMaker/DockApps.shtml
#
%define wmSpaceWeather_version 	1.04
#http://nis-www.lanl.gov/~mgh/WindowMaker/DockApps.shtml
#
%define wmSun_version 		1.03
#http://nis-www.lanl.gov/~mgh/WindowMaker/DockApps.shtml
#
%define wmrecord_version 	1.0.5
#http://www.bruhaha.demon.co.uk/
#
%define wmtv_version 		0.6.5
#http://www.student.uwa.edu.au/~wliang/
#
%define wmbiff_version		0.4.0
#http://sourceforge.net/projects/wmbiff/
#
%define pclock_version 		0.13.1
#http://kraanerg.apex-it.com/~awk/pclock/
#
%define wmNetscapeKiller_version 0.3
#http://pblumo.free.fr/wmNetscapeKiller/
#
%define wmSMPmon_version 	3.1
#http://lancre.ribbrock.org/binabit/wmSMPmon/
#
%define wmappl_version		0.6
#http://www.upl.cs.wisc.edu/~charkins/wmappl.html
#
%define wmnd_version		0.2.2
#http://www.wingeer.org/wmnd/
#
%define wmpinboard_version      1.0
#http://www.tu-ilmenau.de/~gomar/stuff/wmpinboard/
#
%define wmcliphist_version      1.0
#http://linux.nawebu.cz/wmcliphist/
#
%define wmisdn_version          1.8
#http://www.uni-bonn.de/~uzsymm/linux.html
#
Source0:        wmcdplay-%{wmcdplay_version}.tgz
Source1:        wmload-%{wmload_version}.tgz
Source2:        wmnet-%{wmnet_version}.tar.gz
Source3:        wmtune-%{wmtune_version}.tar.gz
Source4:        WMMail.app-%{WMMail_version}.tar.gz
Source5:        wmmount-%{wmmount_version}.tgz
Source6:        wmmixer-%{wmmixer_version}.tgz
Source7:        wmtimer-%{wmtimer_version}.tar.gz
Source8:        wmtime-%{wmtime_version}.tar.gz
Source9:        wmppp-%{wmppp_version}.tar.gz
Source10:       wmpalm-%{wmpalm_version}.tgz
Source11:       wmmp3-%{wmmp3_version}.tar.gz
Source12:       wmmon-%{wmmon_version}.tar.gz
Source13:       wmint-%{wmint_version}.tar.gz
Source14:       wminet-%{wminet_version}.tar.gz
Source15:       wmifs-%{wmifs_version}.tar.gz
Source16:       wmgmon-%{wmgmon_version}.tar.gz
Source18:       wmfire-%{wmfire_version}.tar.gz
Source19:       wmcube-%{wmcube_version}.tar.gz
Source20:       wmbutton-%{wmbutton_version}.tar.gz
Source21:       wmMatrix-%{wmMatrix_version}.tar.gz
Source22:       wmMand-%{wmMand_version}.tar.gz
Source23:       wmCalClock-%{wmCalClock_version}.tar.gz
Source24:       wmweather-%{wmWeather_version}.tar.gz
Source26:       WMAmpMenu-%{WMAmpMenu_version}.tar.gz
Source27:       wmswallow.tar.Z
Source28:       wmtop-%{wmtop_version}.tar.gz
Source29:       wmGrabImage-%{wmGrabImage_version}.tar.gz
Source30:       wmSpaceWeather-%{wmSpaceWeather_version}.tar.gz
Source31:       wmSun-%{wmSun_version}.tar.gz
Source32:       wmrecord-%{wmrecord_version}.tar.gz
Source33:       wmtv-%{wmtv_version}.tar.gz
Source34:       wmbiff-%{wmbiff_version}.tar.gz
Source35:       pclock-%{pclock_version}.tgz
Source36:       wmNetscapeKiller-%{wmNetscapeKiller_version}.tar.gz
Source37:       wmSMPmon-%{wmSMPmon_version}.tar.gz
Source38:       wmappl-%{wmappl_version}.tar.gz
Source39:       wmnd_%{wmnd_version}.tar.gz
Source40:       wmpinboard-%{wmpinboard_version}.tar.bz2
Source41:       wmcliphist-%{wmcliphist_version}.tar.gz
Source42:       wmisdn-%{wmisdn_version}.tgz
#
Source99:       README.SuSE
#
Source200:      SuSE_wmapps
#
Patch0:         wmcdplay-%{wmcdplay_version}.patch
Patch1:         wmload-%{wmload_version}.patch
Patch2:         wmnet-%{wmnet_version}.dif
Patch3:         wmtune-1.0.1-combined.dif
Patch4:         WMMail_patch_064_070.gz
Patch5:         wmmount-%{wmmount_version}.dif
Patch6:         wmmixer-%{wmmixer_version}.patch
Patch7:         wmtimer-2.9.patch
Patch8:         wmtime-%{wmtime_version}.patch
Patch9:         wmppp-%{wmppp_version}.dif
Patch11:        wmmp3-%{wmmp3_version}.dif
Patch12:        wmmon-%{wmmon_version}.patch
Patch15:        wmifs-%{wmifs_version}.patch
Patch16:        wmgmon.dif
Patch19:        wmcube-%{wmcube_version}.patch
Patch21:        wmMatrix.dif
Patch22:        wmMand-%{wmMand_version}.patch
Patch31:        wmSun-%{wmSun_version}.dif
Patch32:        wmrecord-%{wmrecord_version}.dif
Patch33:        wmtv-%{wmtv_version}.patch
Patch34:        wmtv-v4l-2.6.38.patch
Patch36:        wmNetscapeKiller-%{wmNetscapeKiller_version}.dif
Patch37:        wmSMPmon-%{wmSMPmon_version}.dif
Patch38:        wmappl-%{wmappl_version}.dif
Patch39:        wmnd_%{wmnd_version}.patch
Patch40:        wmpinboard-%{wmpinboard_version}.patch
Patch41:        wmcliphist-0.6-default.patch
Patch42:        wmisdn-%{wmisdn_version}.dif
Patch44:        WMMail-automake.patch
Patch45:        WMMail-fewargs.patch
Patch46:        wmSMPmon-Support-selecting-CPUs-to-display.patch
Patch47:        wmfire-%{wmfire_version}-configure_fix.diff
Patch48:        wmswallow-%{wmswallow_version}-ld_fix.diff
Patch49:        wmcliphist-%{wmcliphist_version}-ld_fix.diff
# PATCH-FIX-UPSTREAM mvetter@suse.com boo#707539 - ImageMagick convert parameter changed
Patch50:        wmgrabimage-0.70-boo-707539-fix-GrabImage.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Some small applications for Window Maker.



Authors:
--------
    Bryan Chan <bryan.chan@utoronto.ca>
    Michael G. Henderson <mghenderson@lanl.gov>
    Edward H. Flora <ehflora@ksu.edu>
    Sam Hawker <shawkie@geocities.com>
    Robert Kling <robkli-8@student.luth.se>
    Antti Takala <fragment@nic.fi>
    Martijn Pieterse <pieterse@xs4all.nl>
    Zinx Verituse <zinx@linuxfreak.com>
    Jerome Dumonteil <jerome.dumonteil@capway.com>
    Nicolas Chauvat <nico@caesium.fr>
    Antoine Nulle <warp@xs4all.nl>
    Dave Clark <clarkd@skynet.ca>
    Sébastien Liénard <slienard@worldnet.fr>
    Sam Hawker <shawkie@geocities.com>
    Patrick Crosby <xb@dotfiles.com>
    Jesse B. Off <joff@iastate.edu>
    <robertle@cube.net>
    Anthony Quinn <southgat@frontiernet.net>
    Josh King <jking@dwave.net>
    <soren@linuxwarez.com>
    Michael Pearson <alcaron@ozemail.com.au>
    Pontus Klang <c96pkg@cs.umu.se>
    Philippe Vigneron <vigneron@free.fr>
    Alexander Kourakos <alexander@kourakos.com>
    <lempinen@iki.fi>
    Gennady Belyakov <gb@ccat.elect.ru>
    Beat Christen <bchriste@iiic.ethz.ch>
    Pierre Olivier <pblumo@free.fr>
    <robertle@cube.net>
    Malcolm Cowe <malk@bruhaha.demon.co.uk>
    Friedrich Delgado Friedrichs <friedel@nomaden.org>
    Dan Piponi <dan@tanelorn.demon.co.uk>
    <wliang@tartarus.uwa.edu.au>
    <red_seb@yahoo.com>
    Casey Harkins <charkins@pobox.com>
    Reed Lai <reed@wingeer.org>
    Marco Goetze, <gomar@mindless.com>
    Michal Krause <michal@krause.cz>
    Thomas Ribbrock <emgaron@ribbrock.org>

%prep
%setup -n wmcdplay -b 1 -b 2 -b 3 -b 4 -b 5 -b 6 -b 7 -b 8 -b 9 -b 10 -b 11 -b 12 -b 13 -b 14 -b 15 -b 16 -b 18 -b 19 -b 20 -b 21 -b 22 -b 23 -b 24 -b 26 -b 27 -b 28 -b 29 -b 30 -b 31 -b 32 -b 33 -b 34 -b 35 -b 36 -b 37 -b 38 -b 39 -b 40 -b 41 -b 42
%patch0
touch wmcdplay.man
cd ../wmload-%{wmload_version}
%patch1
cd ../wmnet-%{wmnet_version}
%patch2
cd ../wmtune-1.0.1-combined
%patch3
cd ../WMMail.app*
%patch4
%patch44
%patch45
cd ../wmmount-%{wmmount_version}
%patch5
cd ../wmmixer
%patch6
cd ../wmtimer-%{wmtimer_version}
%patch7
cd ../wmtime.app
%patch8
cd ../wmppp.app
%patch9
cd ../wmmp3-%{wmmp3_version}
%patch11
cd ../wmmon.app
%patch12
cd ../wmifs.app
%patch15
cd ../wmgmon.app/src
%patch16
cd ../../wmcube
%patch19
cd ../wmMatrix-%{wmMatrix_version}
%patch21
cd ../wmMand-%{wmMand_version}
%patch22
cd ../wmSun-%{wmSun_version}
%patch31
cd ../wmrecord-%{wmrecord_version}
%patch32
cd ../wmtv
%patch33
%if 0%{?suse_version} >= 1210
%patch34 -p1
%endif
cd ../wmNetscapeKiller-%{wmNetscapeKiller_version}
%patch36
cd ../wmSMPmon-%{wmSMPmon_version}
%patch37
%patch46 -p1
cd ../wmappl-%{wmappl_version}
%patch38
cd ../wmnd_%{wmnd_version}
%patch39
cd ../wmpinboard-%{wmpinboard_version}
%patch40
cd ../wmcliphist
%patch41
cd ../wmisdn-%{wmisdn_version}
%patch42
cd ../wmfire-%{wmfire_version}
%patch47
cd ../wmswallow
%patch48
cd ../wmcliphist
%patch49
cd ../wmGrabImage-%{wmGrabImage_version}/wmGrabImage
%patch50 -p2

%build
RPM_OPT_FLAGS+=" -fgnu89-inline"
xmkmf -a
make CXXFLAGS="$RPM_OPT_FLAGS"
cd ../wmload-%{wmload_version}
xmkmf -a
make CFLAGS="$RPM_OPT_FLAGS"
cd ../wmnet-%{wmnet_version}
xmkmf -a
make CFLAGS="$RPM_OPT_FLAGS"
%ifarch %ix86 x86_64 alpha ia64 %arm
cd ../wmtune-1.0.1-combined
make CFLAGS="$RPM_OPT_FLAGS"
%endif
#wmmail uses proplist-compat.h needs to be fixed
#cd ../WMMail.app-%{WMMail_version}
#autoreconf --force --install -v
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/ --with-appspath=/usr/lib/GNUstep/Applications
#make
cd ../wmmount-%{wmmount_version}
xmkmf -a
make CFLAGS="$RPM_OPT_FLAGS"
cd ../wmmixer
xmkmf -a
make CXXFLAGS="$RPM_OPT_FLAGS"
cd ../wmtimer-%{wmtimer_version}/wmtimer
rm -f ../wmgeneral/*.o
rm -f *.o
make CFLAGS="$RPM_OPT_FLAGS `pkg-config --cflags gtk+-2.0`"
cd ../../wmtime.app/wmtime
make CFLAGS="$RPM_OPT_FLAGS"
cd ../../wmppp.app/wmppp
rm -f example-scripts/getmodemspeed
mv getmodemspeed example-scripts
chmod 755 example-scripts/getmodemspeed
make CFLAGS="$RPM_OPT_FLAGS"
cd ../../wmpalm-%{wmpalm_version}
make FLAGS="-Wall -ansi $RPM_OPT_FLAGS" \
     LINK="-lX11 -lXpm -lXext"
cd ../wmmp3-%{wmmp3_version}
autoreconf --force --install -v
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/
make
cd ../wmmon.app/wmmon
make CFLAGS="$RPM_OPT_FLAGS"
cd ../../wmint.app/wmint
make FLAGS="$RPM_OPT_FLAGS"
cd ../../wminet.app/wminet
make FLAGS="$RPM_OPT_FLAGS"
cd ../../wmifs.app/wmifs
make  CFLAGS="$RPM_OPT_FLAGS"
#wmgmon uses proplist-compat.h needs to be fixed
#cd ../../wmgmon.app/src
#make FLAGS="$RPM_OPT_FLAGS -Wall -I/usr/include"
cd ../../wmfire-%{wmfire_version}
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./configure --prefix=/usr/
make
cd ../wmcube/wmcube
make CFLAGS="$RPM_OPT_FLAGS -DLINUX"
cd ../../wmbutton-%{wmbutton_version}
make FLAGS="$RPM_OPT_FLAGS -I/usr/include/X11"
cd ../wmMatrix-%{wmMatrix_version}
rm -f *.o
make CFLAGS="$RPM_OPT_FLAGS"
cd ../wmMand-%{wmMand_version}/wmMand
rm -f *.o ../wmgeneral/*.o
make CFLAGS="$RPM_OPT_FLAGS"
cd ../../wmCalClock-%{wmCalClock_version}/Src
make CFLAGS="$RPM_OPT_FLAGS"
cd ..
cd ../wmweather-%{wmWeather_version}/src
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=/usr/
make
cd ..
cd ../wmswallow
make xfree CFLAGS="$RPM_OPT_FLAGS"
cd ../wmtop-%{wmtop_version}
make linux OPTS="$RPM_OPT_FLAGS"
cd ../wmGrabImage-%{wmGrabImage_version}/wmGrabImage
make CFLAGS="$RPM_OPT_FLAGS"
cd ../../wmSpaceWeather-%{wmSpaceWeather_version}/wmSpaceWeather
make clean
make COPTS="$RPM_OPT_FLAGS"
cd ../../wmSun-%{wmSun_version}/wmSun
make clean
make COPTS="$RPM_OPT_FLAGS"
cd ../../wmrecord-%{wmrecord_version}
make CFLAGS="$RPM_OPT_FLAGS"
cd ../wmtv
make CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
cd ../wmbiff-%{wmbiff_version}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/ --mandir=%{_mandir}
make
cd ../pclock-%{pclock_version}
make CFLAGS="$RPM_OPT_FLAGS"
cd ../wmNetscapeKiller-%{wmNetscapeKiller_version}
make CFLAGS="$RPM_OPT_FLAGS"
cd ../wmSMPmon-%{wmSMPmon_version}/wmSMPmon
make CFLAGS="$RPM_OPT_FLAGS"
cd ../../wmappl-%{wmappl_version}
make CFLAGS="$RPM_OPT_FLAGS -I/usr/include/X11"
cd ../wmnd_%{wmnd_version}
make CFLAGS="$RPM_OPT_FLAGS"
cd ../wmpinboard-%{wmpinboard_version}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --mandir=%{_mandir}
make
cd ../wmcliphist
make CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -Wall `pkg-config --cflags gtk+-2.0` -I. -Ifoodock"
#
cd ../wmisdn-%{wmisdn_version}
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/{%{_mandir}/man1,etc,usr/{lib/GNUstep/Applications,bin},usr/%_lib/xmms/Visualization}
#rm -f ../wmappsfiles
#touch ../wmappsfiles
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmbutton
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmcalclock
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmcdplay
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmcube
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmload
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmnet
%ifarch %ix86 x86_64 alpha ia64 %arm
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmtune
%endif
#wmmail uses proplist-compat.h needs to be fixed
#install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmmail
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmmand
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmmount
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmmatrix
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmmixer
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmfire
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmtimer
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmtime
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmppp
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmpalm
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmmp3
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmmon
#wmgmon uses proplist-compat.h needs to be fixed
#install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmgmon
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmint
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wminet
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmifs
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmweather
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmampmenu
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmswallow
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmtop
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmgrabimage
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmspaceweather
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmsun
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmrecord
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmtv
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmbiff
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/pclock
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmnetscapekiller
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmsmpmon
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmappl
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmnd
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmpinboard
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmcliphist
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmisdn
#
install -m 0644 ${RPM_SOURCE_DIR}/README.SuSE $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}
#
install -m 0755 wmcdplay $RPM_BUILD_ROOT/usr/bin/
install -m 0644 ARTWORK COPYING README $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmcdplay
cd ../wmload-%{wmload_version}
install -m 0755 wmload $RPM_BUILD_ROOT/usr/bin/
install -m 0644 README INSTALL $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmload
cd ../wmnet-%{wmnet_version}
install -m 0755 wmnet $RPM_BUILD_ROOT/usr/bin/
install -m 0644 wmnet.man $RPM_BUILD_ROOT%{_mandir}/man1/wmnet.1
install -m 0644 README Changelog $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmnet
%ifarch %ix86 x86_64 alpha ia64 %arm
cd ../wmtune-1.0.1-combined
install -m 0755 wmtune $RPM_BUILD_ROOT/usr/bin/
install -m 0644 README COPYING sample.wmtunerc $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmtune/
install -m 0644 sample.wmtunerc $RPM_BUILD_ROOT/etc/wmtunerc
%endif
#wmmail uses proplist-compat.h needs to be fixed
#cd ../WMMail.app-%{WMMail_version}
#make DESTDIR=$RPM_BUILD_ROOT install
#install -m 0644 AUTHORS COPYING ChangeLog INSTALL README NEWS \
#		$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmmail/
#SAVE=$PWD; cd $RPM_BUILD_ROOT/usr/bin; rm -f wmmail; ln -s ../lib/GNUstep/Applications/WMMail.app/WMMail wmmail; cd $SAVE
cd ../wmmount-%{wmmount_version}
install -d -m 0755 $RPM_BUILD_ROOT/usr/lib/X11/wmmount
install -m 0755 wmmount $RPM_BUILD_ROOT/usr/bin/
install -m 0644 COPYING README $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmmount
install -m 0644 wmmount.SuSE $RPM_BUILD_ROOT/etc/wmmount
cd lib
for i in * ; do
  install -m 0644 $i $RPM_BUILD_ROOT/usr/lib/X11/wmmount/
done
cd ../../wmmixer
install -m 0755 wmmixer $RPM_BUILD_ROOT/usr/bin/
install -m 0644 home.wmmixer COPYING README $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmmixer
cd ../wmtimer-%{wmtimer_version}/wmtimer
install -m 0755 wmtimer $RPM_BUILD_ROOT/usr/bin/
cd ..
install -m 0644 COPYING CREDITS Changelog INSTALL README \
                $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmtimer
cd ../wmtime.app/wmtime
install -m 0755 wmtime $RPM_BUILD_ROOT/usr/bin
cd ..
install -m 0644 BUGS CHANGES COPYING HINTS INSTALL README TODO \
                $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmtime
cd ../wmppp.app/wmppp
install -m 0755 wmppp $RPM_BUILD_ROOT/usr/bin
install -m 0644 system.wmppprc user.wmppprc $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmppp
install -d -m 0755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmppp/example-scripts
install -m 0644 example-scripts/* $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmppp/example-scripts
cd ..
install -m 0644 BUGS CHANGES COPYING HINTS INSTALL README TODO \
                $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmppp
cd ../wmpalm-%{wmpalm_version}
install -m 0755 wmpalm $RPM_BUILD_ROOT/usr/bin/
install -m 0644 README $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmpalm
cd ../wmmp3-%{wmmp3_version}
install -m 0755 wmmp3 $RPM_BUILD_ROOT/usr/bin/
install -m 0644 AUTHORS COPYING ChangeLog INSTALL NEWS README TODO sample.wmmp3\
                $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmmp3
cd ../wmmon.app/wmmon
install -m 0755 wmmon $RPM_BUILD_ROOT/usr/bin
cd ..
install -m 0644 BUGS CHANGES COPYING HINTS INSTALL README TODO \
		$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmmon
cd ../wmint.app/wmint
install -m 0755 wmint $RPM_BUILD_ROOT/usr/bin
cd ..
install -m 0644 BUGS COPYING HINTS INSTALL README TODO \
		$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmint
cd ../wminet.app/wminet
install -m 0755 wminet $RPM_BUILD_ROOT/usr/bin
install -m 0644 wminetrc $RPM_BUILD_ROOT/etc/
cd ..
install -m 0644 BUGS CHANGES COPYING HINTS INSTALL README TODO \
                $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wminet
cd ../wmifs.app/wmifs
install -m 0755 wmifs $RPM_BUILD_ROOT/usr/bin
install -m 0644 sample.wmifsrc $RPM_BUILD_ROOT/etc/wmifsrc
install -m 0644 sample.wmifsrc $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmifs
cd ..
install -m 0644 BUGS CHANGES COPYING HINTS INSTALL README TODO \
                $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmifs
#wmgmon uses proplist-compat.h needs to be fixed
#cd ../wmgmon.app/src
#install -m 0755 wmgmon $RPM_BUILD_ROOT/usr/bin
#cd ..
#install -m 0644 README $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmgmon
#install -d $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmgmon/doc
#install -m 0644 doc/* $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmgmon/doc
cd ../wmfire-%{wmfire_version}
install -m 0755 wmfire $RPM_BUILD_ROOT/usr/bin
install -m 0755 fireload_cpu $RPM_BUILD_ROOT/usr/bin
install -m 0755 fireload_file $RPM_BUILD_ROOT/usr/bin
install -m 0644 AUTHORS COPYING CREDITS ChangeLog NEWS README \
		$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmfire
cd ../wmcube/wmcube
install -m 0755 wmcube $RPM_BUILD_ROOT/usr/bin
cd ..
install -m 0644 COPYING INSTALL README TODO $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmcube
install -d $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmcube/3dObjects
install -m 0644 3dObjects/*  $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmcube/3dObjects
cd ../wmbutton-%{wmbutton_version}
install -m 0755 wmbutton $RPM_BUILD_ROOT/usr/bin
install -m 0644 .wmbutton $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmbutton/sample.wmbutton
install -m 0644 COPYING README $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmbutton
cd ../wmMatrix-%{wmMatrix_version}
install -m 0755 wmMatrix $RPM_BUILD_ROOT/usr/bin/wmmatrix
cd ../wmMand-%{wmMand_version}/wmMand
install -m 0755 wmMand $RPM_BUILD_ROOT/usr/bin/wmmand
cd ..
install -m 0644 BUGS CHANGES COPYING $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmmand
cd ../wmCalClock-%{wmCalClock_version}/Src
install -m 0755 wmCalClock $RPM_BUILD_ROOT/usr/bin/wmcalclock
install -m 0644 wmCalClock.1 $RPM_BUILD_ROOT%{_mandir}/man1/wmcalclock.1
cd ..
install -m 0644 BUGS CHANGES COPYING HINTS INSTALL README TODO \
		$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmcalclock
cd ../wmweather-%{wmWeather_version}/src
install -m 0755 wmweather $RPM_BUILD_ROOT/usr/bin/wmweather
install -m 0644 wmweather.1 $RPM_BUILD_ROOT%{_mandir}/man1/wmweather.1
cd ..
install -m 0644 CHANGES COPYING README \
		$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmweather
cd ../wmampmenu/src
install -m 0755 mp3launch wmampmenu $RPM_BUILD_ROOT/usr/bin/
cd ..
install -m 0644 COPYING Changes README  \
		$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmampmenu
cd ../wmswallow
install -m 0755 wmswallow $RPM_BUILD_ROOT/usr/bin/
install -m 0644 CHANGELOG LICENCE README  \
		$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmswallow
cd ../wmtop-%{wmtop_version}
install -m 0755 wmtop $RPM_BUILD_ROOT/usr/bin/
install -m 0644 wmtop.1 $RPM_BUILD_ROOT%{_mandir}/man1/
install -m 0644 BUGS CHANGES COPYING README TODO \
		$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmtop
cd ../wmGrabImage-%{wmGrabImage_version}
install -m 0644 BUGS CHANGES COPYING HINTS INSTALL TODO \
		$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmgrabimage
cd wmGrabImage
install -m 0755 wmGrabImage $RPM_BUILD_ROOT/usr/bin/wmgrabimage
install -m 0755 GrabImage $RPM_BUILD_ROOT/usr/bin/
install -m 0644 wmGrabImage.1 $RPM_BUILD_ROOT%{_mandir}/man1/wmgrabimage.1
cd ../../wmSpaceWeather-%{wmSpaceWeather_version}
install -m 0644 BUGS CHANGES COPYING HINTS INSTALL README \
		$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmspaceweather
cd wmSpaceWeather
install -m 0755 wmSpaceWeather $RPM_BUILD_ROOT/usr/bin/wmspaceweather
install -m 0755 GetKp $RPM_BUILD_ROOT/usr/bin/
install -m 0644 wmSpaceWeather.1 $RPM_BUILD_ROOT%{_mandir}/man1/wmspaceweather.1
cd ../../wmSun-%{wmSun_version}
install -m 0644 BUGS COPYING TODO \
		$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmsun
cd wmSun
install -m 0755 wmSun $RPM_BUILD_ROOT/usr/bin/wmsun
install -m 0644 wmSun.1 $RPM_BUILD_ROOT%{_mandir}/man1/wmsun.1
cd ../../wmrecord-%{wmrecord_version}
install -m 0644 COPYING INSTALL README TODO  \
		$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmrecord
install -m 0755 wmrecord $RPM_BUILD_ROOT/usr/bin/
install -m 0644 man/wmrecord.1 $RPM_BUILD_ROOT%{_mandir}/man1/
cd ../wmtv
install -m 0644 COPYING CHANGES CREDITS README wmtvrc.sample \
		$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmtv
install -m 0755 wmtv $RPM_BUILD_ROOT/usr/bin/
cd ../wmbiff-%{wmbiff_version}
make DESTDIR=$RPM_BUILD_ROOT install
install -m 0644 README ChangeLog NEWS TODO README.licq wmbiff/sample.wmbiffrc \
		$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmbiff
cd ../pclock-%{pclock_version}/src
install -m 0755 pclock $RPM_BUILD_ROOT/usr/bin/
cd ..
for i in demos/* ; do
  mv $i $i.orig
  sed -e "s|../src/||" $i.orig >$i
  rm -f $i.orig
done
chmod 755 demos/*
chmod 644 XPM/*
chmod 755 {demos,XPM}
install -m 0644 CHANGES COPYING CREDITS README TODO \
		$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/pclock
cp -pr demos XPM $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/pclock
cd ../wmNetscapeKiller-%{wmNetscapeKiller_version}
install -m 0755 wmNetscapeKiller $RPM_BUILD_ROOT/usr/bin/
install -m 0644 CHANGELOG README \
		$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmnetscapekiller
cd ../wmSMPmon-%{wmSMPmon_version}/wmSMPmon
install -m 0755 wmSMPmon $RPM_BUILD_ROOT/usr/bin/wmSMPmon
install -m 0644 wmSMPmon.1 $RPM_BUILD_ROOT%{_mandir}/man1/
cd ..
install -m 0644 COPYING GREETINGS LISEZ-MOI Changelog \
		$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmsmpmon
cd ../wmappl-%{wmappl_version}
install -m 0755 wmappl $RPM_BUILD_ROOT/usr/bin/
install -d $RPM_BUILD_ROOT/usr/share/icons/wmappl
install -m 644 -c icons/*.xpm $RPM_BUILD_ROOT/usr/share/icons/wmappl
install -m 0644 LICENSE README sample.wmapplrc \
		$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmappl
cd ../wmnd_%{wmnd_version}
install -m 0755 wmnd $RPM_BUILD_ROOT/usr/bin/
install -m 0644 wmndrc CHANGELOGS COPYING HINTS INSTALL README TODO \
		$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmnd
install -m 0644 man/wmnd.1 $RPM_BUILD_ROOT%{_mandir}/man1
cd ../wmpinboard-%{wmpinboard_version}
make DESTDIR=$RPM_BUILD_ROOT install
install -m 0644 AUTHORS COPYING CREDITS NEWS README ChangeLog TODO \
		$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmpinboard
cd ../wmcliphist
install -m 0755 wmcliphist $RPM_BUILD_ROOT/usr/bin/
install -m 0644 COPYING README ChangeLog wmcliphistrc \
		$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmcliphist
cd ../wmisdn-%{wmisdn_version}
install -m 0755 wmisdn $RPM_BUILD_ROOT/usr/bin/
install -m 0644 README CHANGES COPYING \
                $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/wmisdn
#
mkdir -p $RPM_BUILD_ROOT/etc/X11/WindowMaker
install -m 644 %{S:200} $RPM_BUILD_ROOT/etc/X11/WindowMaker/SuSE_wmapps
#
%fdupes $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib/X11/wmmount/
%docdir %{_defaultdocdir}/%{name}
%{_defaultdocdir}/%{name}
%doc %{_mandir}/man1/wmnet.1.gz
%doc %{_mandir}/man1/wmcalclock.1.gz
%doc %{_mandir}/man1/wmbiff.1.gz
%doc %{_mandir}/man1/wmSMPmon.1.gz
%doc %{_mandir}/man5/wmbiffrc.5.gz
%dir /usr/lib/GNUstep/Applications
#wmmail uses proplist-compat.h needs to be fixed
#/usr/lib/GNUstep/Applications/WMMail.app
#/usr/bin/wmmail
/usr/bin/wmmand
/usr/bin/wmmatrix
/usr/bin/wmbutton
/usr/bin/wmcdplay
/usr/bin/wmcube
/usr/bin/wmcalclock
/usr/bin/wmload
/usr/bin/wmfire
/usr/bin/fireload_cpu
/usr/bin/fireload_file
/usr/bin/wmint
/usr/bin/wmifs
/usr/bin/wminet
/usr/bin/wmnet
/usr/bin/wmmon
#wmgmon uses proplist-compat.h needs to be fixed
#/usr/bin/wmgmon
/usr/bin/wmmount
/usr/bin/wmmp3
/usr/bin/wmmixer
/usr/bin/wmtimer
/usr/bin/wmtime
/usr/bin/wmpalm
/usr/bin/wmppp
%ifarch %ix86 x86_64 alpha ia64 %arm
/usr/bin/wmtune
%config /etc/wmtunerc
%endif
%config /etc/wminetrc
%config /etc/wmifsrc
%config /etc/wmmount
/usr/bin/wmweather
/usr/bin/mp3launch
/usr/bin/wmampmenu
/usr/bin/wmswallow
/usr/bin/wmtop
/usr/bin/wmgrabimage
/usr/bin/GrabImage
/usr/bin/wmspaceweather
/usr/bin/GetKp
/usr/bin/wmsun
/usr/bin/wmrecord
/usr/bin/wmtv
/usr/bin/wmbiff
/usr/share/wmbiff
/usr/bin/pclock
/usr/bin/wmNetscapeKiller
/usr/bin/wmSMPmon
/usr/bin/wmappl
/usr/share/icons/wmappl
/usr/bin/wmnd
/usr/bin/wmpinboard
/usr/bin/wmcliphist
/usr/bin/wmisdn
%doc %{_mandir}/man1/wmweather.1.gz
%doc %{_mandir}/man1/wmtop.1.gz
%doc %{_mandir}/man1/wmgrabimage.1.gz
%doc %{_mandir}/man1/wmspaceweather.1.gz
%doc %{_mandir}/man1/wmsun.1.gz
%doc %{_mandir}/man1/wmrecord.1.gz
%doc %{_mandir}/man1/wmpinboard.1.gz
%doc %{_mandir}/man1/wmnd.1.gz
%dir /etc/X11/WindowMaker
%config /etc/X11/WindowMaker/SuSE_wmapps

%changelog
* Wed Nov 29 2017 crrodriguez@opensuse.org
- wmSun-1.03.dif, wmnd_0.2.2.patch: Fix build with as-needed
- Only BuildRequire packages that are actually needed, this
  change is needed to also cleaup WindowMaker-devel incorrect
  dependencies
* Sat Aug  5 2017 kmroz@suse.com
- Fix invalid XPM icon paths in /etc/wmmount
  bsc#1046193: wmmount doesn't start
- Modified: wmmount-1.0-beta2.dif
* Wed Aug 17 2016 mvetter@suse.com
- Fix boo#707539: Adapt parameter change of ImageMagick convert
  tool. And also remove not used and deprecated requre ctime.pl.
- Add wmgrabimage-0.70-boo-707539-fix-GrabImage.patch
* Tue Jun  9 2015 schwab@suse.de
- Force gnu89 inline semantics
* Sun Mar 17 2013 schwab@suse.de
- Build wmtune only on architectures that implement ioperm
* Tue Sep  4 2012 coolo@suse.com
- buildrequire xmessage to fix build on 12.2+
* Fri Apr 27 2012 joop.boonen@opensuse.org
- wmgmon and wmmail use proplist-compat.h there for disabled
  as they need to be fixed. Probably need quite a lof of rewriting
  proplist-compat.h has been removed from windowmaker 0.95.2
  See: http://lists.windowmaker.org/dev/msg02649.html
* Wed Dec 21 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Thu Dec  1 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Sat Sep 17 2011 suse-tux@gmx.de
- fixed build for factory:
  * added Patch47 wmfire-0.0.3.9pre4-configure_fix.diff (fixes x_includes
    and x_libraries handling in configure.in - this needs an autoreconf)
  * added Patch48: wmswallow-0.6.1-ld_fix.diff (add -lX11)
  * added Patch49: wmcliphist-1.0-ld_fix.diff (add -lX11)
* Thu Jul  7 2011 idonmez@novell.com
- Add wmtv-v4l-2.6.38.patch: use new v4l interface
* Thu Apr  8 2010 ma@novell.com
- wmSMPmon: Add options -c1/-c2 to define which CPUs data to show
  in case the system has more than two CPUs.
* Mon Feb 22 2010 seife@opensuse.org
- fix buffer overflow in wmgmon (detected by gcc-4.5) and minor
  packaging glitches
* Tue Dec 29 2009 vuntz@opensuse.org
- Bump version to 1.0.1.
- Update wmcliphist to 1.0:
  + ported to GTK+ 2.0
  + confirmation dialogs supports Enter (Yes) and Esc (No) keys
  + wmcliphist now can run with almost invisible window (-s 0)
    which is usable on systems running windows manager without
    docking capabilities
  + some debug messages was removed, minor code tweaking and
    auto_take_up feature is now DISABLED by default due to problems
    with some GTK 2.x based applications
- Update wmcliphist-0.6-default.patch: some parts were applied
  upstream.
- Update wmtimer to 2.92:
  + Ported to GTK+ 2.0
  + Fixed a bug in the the command line parsing where the -color
    option would conflict with the -c option in some cases.
- Drop E-Notes: it's really old and not maintained, and it requires
  GTK+ 1.x which we want to remove.
- Remove imlib-devel BuildRequires.
- Add gtk2-devel BuildRequires.
* Fri Jun 19 2009 coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Thu Jun 11 2009 nadvornik@novell.com
- fixed to compile
* Sun Apr 27 2008 ro@suse.de
- remove hermes-devel from buildreq
* Wed Oct 24 2007 nadvornik@suse.cz
- fixed to build with new gcc
- used fdupes
* Tue Jul 24 2007 nadvornik@suse.cz
- dropped xmms dependent applets
- fixed wmtimer to compile
* Fri Jan 19 2007 nadvornik@suse.cz
- dropped wmbattery, as it depends on apmd
- fixed array subscript out of range [#233579] and other warnins
* Mon Aug 21 2006 nadvornik@suse.cz
- changed prefix to /usr
* Tue Jan 31 2006 nadvornik@suse.cz
- fixed crashing wmSMPmon by update to 3.1 [#132536]
- added wmSMPmon to WindowMaker menu [#132537]
- fixed undefined code in wmcube [#137125]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 schwab@suse.de
- Don't strip binaries.
* Wed Oct 12 2005 ro@suse.de
- fix a case of too few args in printf in WMMail
* Wed Aug 10 2005 nadvornik@suse.cz
- updated wmSMPmon [#103768]
* Wed Aug  3 2005 nadvornik@suse.cz
- fixed wmppp crash [#86402]
- fixed incorrect usage of char type [#95090]
- updated wmweather [#99700]
- use RPM_OPT_FLAGS everywhere
* Mon Aug  1 2005 nadvornik@suse.cz
- removed wmglobe because of problematic license
  of sunpos.c [#78371]
* Wed Apr 27 2005 meissner@suse.de
- fixed buffer overflow in wmrecord.
* Thu Apr 14 2005 nadvornik@suse.cz
- passed NULL-pointer as last argument
* Wed Feb 16 2005 nadvornik@suse.cz
- changed default setting of wmcliphist
* Tue Jan 25 2005 nadvornik@suse.cz
- updated wmcliphist
- added debian patch to wmmon [#47436]
- changed dir Apps => Applications
* Wed Jan 19 2005 ro@suse.de
- added directory to filelist
  (should probably be Applications instead of Apps)
* Tue Aug 24 2004 ro@suse.de
- added xmms-lib to neededforbuild
* Sun Apr 25 2004 ro@suse.de
- fix missing return values
* Tue Mar  9 2004 ro@suse.de
- disabled wmtune on ppc64 as well
* Mon Mar  1 2004 ro@suse.de
- disabled wmtune on s390x again
* Thu Feb  5 2004 nadvornik@suse.cz
- build as user
* Tue Feb  3 2004 ro@suse.de
- fix autoreconf for WMMail.app
- use no-strict-aliasing for wmfire,wmtv,wmcliphist
* Tue Jan  6 2004 nadvornik@suse.cz
- updated wmbattery [#33800], wmtimer
* Mon Sep 15 2003 nadvornik@suse.cz
- fixed file SuSE_wmapps
* Wed Aug 27 2003 nadvornik@suse.cz
- build wmbattery only on ix86
- installed menu file for WindowMaker
* Fri Aug  1 2003 nadvornik@suse.cz
- used %%_lib for xmms plugin directory
* Wed May 28 2003 nadvornik@suse.cz
- installed wmifs documentation correctly
* Tue Apr  1 2003 ro@suse.de
- added xmms-devel to neededforbuild
* Thu Mar  6 2003 nadvornik@suse.cz
- fixed segfault in wmpinboard
* Mon Jan  6 2003 ro@suse.de
- adapt to changed xmms location
* Fri Nov 15 2002 nadvornik@suse.cz
- fixed multi-line string literals
* Tue Oct  1 2002 nadvornik@suse.cz
- updated WMMail
- built without libPropList
* Wed Sep  4 2002 nadvornik@suse.cz
- fixed crashing wmglobe and wmSMPmon
- disabled wmtune on s390x
* Mon Aug 26 2002 nadvornik@suse.cz
- marked files in /etc as config
* Wed Aug  7 2002 nadvornik@suse.cz
- fixed wmmount config file and moved it to /etc
- renamed GrabWeather to wmWeather-GrabWeather
* Thu May 30 2002 nadvornik@suse.cz
- updated wmbiff, wmcliphist
- added wmbattery [ bug #15882 ]
* Thu May 23 2002 ro@suse.de
- libdir fixed
* Sun Apr 21 2002 adrian@suse.de
- fix build for mips
* Fri Apr 12 2002 nadvornik@suse.cz
- renamed to WindowMaker-applets
- fixed to compile with new gcc
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Jan 21 2002 nadvornik@suse.cz
- updated wmisdn to 1.8
* Fri Jan 11 2002 schwab@suse.de
- Fix missing namespace prefix.
- Link C++ program with c++.
* Tue Nov 20 2001 nadvornik@suse.cz
- fixed wmnd not to include asm/bitops.h
* Tue Nov 13 2001 nadvornik@suse.cz
- updated wmbiff to 0.3.3 [bug #11921]
* Fri Nov  9 2001 nadvornik@suse.cz
- added wmisdn - an isdn monitor
* Mon Oct 22 2001 nadvornik@suse.cz
- updated wmfire, wmglobe, wmnd, wmtimer
- wmmixer and wmcdplay linked with g++
* Wed Sep 12 2001 nadvornik@suse.cz
- wmnd: fixed bug in parsing /proc/net/dev
* Wed Jun 13 2001 nadvornik@suse.cz
- fixed to compile with new imake
* Wed Jun  6 2001 nadvornik@suse.cz
- added hermes and hermes-devel to neededforbuild
* Sat Apr 14 2001 schwab@suse.de
- Remove reference to sa_restorer.
- Fix use of kernel headers.
- Fix missing declarations.
- E-Notes: interator -> main_iterator.
* Thu Apr  5 2001 nadvornik@suse.cz
- added wmcliphist
- updated wmappl, wmcube, wmtimer
- some fixes
* Tue Mar 13 2001 ro@suse.de
- changed neededforbuild <WindowMaker> to <WindowMaker WindowMaker-devel>
* Mon Mar 12 2001 uli@suse.de
- fixed loc of gtk/glib headers in several apps
* Thu Nov 16 2000 kukuk@suse.de
- Remove Requires to wmaker, RPM will solve it correct
* Wed Nov 15 2000 ro@suse.de
- fixed neededforbuild for libPropList
* Sun Nov  5 2000 ro@suse.de
- fixed neededforbuild
* Fri Oct  6 2000 nadvornik@suse.cz
- fixed wmSMPmon to build on ppc
* Thu Oct  5 2000 nadvornik@suse.cz
- used RPM_OPT_FLAGS
* Wed Oct  4 2000 nadvornik@suse.cz
- added wmSMPmon, wmappl, wmnd, wmpinboard
- updated wmcdplay, wmcube, wmgmon, wminet, wmmixer, wmmount,
  wmnet, wmtimer, wmtune
* Tue Aug 29 2000 nadvornik@suse.cz
- fixed wmppp examples (bug #3821)
* Thu Aug 24 2000 nadvornik@suse.cz
- added pclock, wmbiff, wmNetscapeKiller
* Wed Jul 12 2000 nadvornik@suse.cz
- fixed the /usr/X11R6/bin/wmmail link
* Wed Jun 28 2000 ro@suse.de
- fixed wmnet to build on alpha
* Mon Jun 26 2000 uli@suse.de
- disabled wmtune for PPC
* Fri Jun 23 2000 nadvornik@suse.cz
- fixed wmmixer doc
* Tue Jun 13 2000 nadvornik@suse.cz
- fixed README.SuSE
- added wmgrabimage, wmspaceweather, wmsun, wmrecord, wmtv
* Sat Jun  3 2000 kukuk@suse.de
- Fix requires field
* Fri May 26 2000 nadvornik@suse.cz
- added wmtop, wmampmenu, wmswallow, e-notes
- updated to wmcube-0.95, wmmp3-0.12
* Fri May 19 2000 nadvornik@suse.cz
- wmglobe updated to 1.0 + patch to make it work with wmaker 0.62.1
* Tue May 16 2000 nadvornik@suse.cz
- merged package wmweather
- added BuildRoot
- fixed filelist
* Fri May 12 2000 kukuk@suse.de
- Remove all intel object files
- don't build wmtune on SPARC
* Mon Apr 17 2000 adrian@suse.de
- initial package
